GDB (xrefs)

Classes | Functions | Variables
mi-main.h File Reference

Go to the source code of this file.

## Classes
struct | mi_suppress_notification

## Functions
void | mi_load_progress (const char *section_name, unsigned long sent_so_far, unsigned long total_section, unsigned long total_sent, unsigned long grand_total)
void | mi_print_timing_maybe (struct ui_file *file)
int | mi_async_p (void)

## Variables
char * | current_token
int | running_result_record_printed
int | mi_proceeded
struct mi_suppress_notification | mi_suppress_notification

## Function Documentation

## ◆ mi_async_p()

int mi_async_p | ( | void |  | ) |

Definition at line 138 of file mi-main.c.

References mi_async, and target_can_async_p.

Referenced by exec_continue(), mi_cmd_list_target_features(), mi_execute_async_cli_command(), and mi_on_sync_execution_done().

## ◆ mi_load_progress()

void mi_load_progress | ( | const char * | section_name,
|  | unsigned long | sent_so_far,
|  | unsigned long | total_section,
|  | unsigned long | total_sent,
|  | unsigned long | grand_total
| ) |  |

Definition at line 2166 of file mi-main.c.

References current_interp_named_p(), current_interpreter(), current_token, current_uiout, fputs_unfiltered(), gdb_flush(), INTERP_MI, INTERP_MI1, INTERP_MI2, INTERP_MI3, make_scoped_restore(), mi_out_new(), mi_out_put(), mi_interp::raw_stdout, and xfree().

Referenced by mi_interp::resume().

## ◆ mi_print_timing_maybe()

void mi_print_timing_maybe | ( | struct ui_file * | file | ) |

Definition at line 2258 of file mi-main.c.

References current_command_ts, do_timings, and print_diff_now().

Referenced by captured_mi_execute_command(), and mi_on_normal_stop_1().

## Variable Documentation

## ◆ current_token

char* current_token

Definition at line 81 of file mi-main.c.

Referenced by captured_mi_execute_command(), mi_cmd_gdb_exit(), mi_load_progress(), and mi_on_resume_1().

## ◆ mi_proceeded

int mi_proceeded

Definition at line 91 of file mi-main.c.

Referenced by captured_mi_execute_command(), mi_about_to_proceed(), and mi_on_resume_1().

## ◆ mi_suppress_notification

struct mi_suppress_notification mi_suppress_notification

Definition at line 709 of file mi-interp.c.

## ◆ running_result_record_printed

int running_result_record_printed

Definition at line 87 of file mi-main.c.

Referenced by captured_mi_execute_command(), and mi_on_resume_1().